import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ProcedureTimeslotSelectObjectSchema as ProcedureTimeslotSelectObjectSchema } from './ProcedureTimeslotSelect.schema';
import { ProcedureTimeslotIncludeObjectSchema as ProcedureTimeslotIncludeObjectSchema } from './ProcedureTimeslotInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => ProcedureTimeslotSelectObjectSchema).optional(),
  include: z.lazy(() => ProcedureTimeslotIncludeObjectSchema).optional()
}).strict();
export const ProcedureTimeslotArgsObjectSchema = makeSchema();
export const ProcedureTimeslotArgsObjectZodSchema = makeSchema();
